tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

make update perpetually broken


I think I've run into the "make update" problem one too many times, so I have to ask - if nobody's going to fix our broken "make update" system, why don't we have pkg_rolling_replace as part of the default pkgsrc tools?

Or, can someone explain what I'm supposed to tell people when they do a "make update" on perl and get a ton of these?

===> install-message [p5-Email-MessageID-1.401] ===> Installing for 
ERROR: p5-Email-MessageID-1.401 is already installed - perhaps an older version?
ERROR: If so, you may use either of:
ERROR:     - "pkg_delete p5-Email-MessageID-1.401" and "/usr/bin/make reinstall"
ERROR:       to upgrade properly

"Just pkg_delete -f, then rerun "make update", and keep doing that for an hour or two until it completes properly" doesn't seem like a very impressive or very technical way for someone to deal with their packages.


Home | Main Index | Thread Index | Old Index